| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Modules | Functions
Endpoint Packet Management
Endpoint Management

## Detailed Description

USB Endpoint package management definitions.

Functions, macros, variables, enums and types related to packet management of endpoints.

## Modules
| Endpoint Packet Management (LPC11Uxx, LPC1347)
| Endpoint packet management definitions for the NXP LPC11Uxx and LPC1347 architecture.
| Endpoint Packet Management (LPC17xx)
| Endpoint packet management definitions for the NXP LPC17xx architecture.
| Endpoint Packet Management (LPC18xx)
| Endpoint packet management definitions for the LPC18xx architecture.

## Functions
static PRAGMA_ALWAYS_INLINE bool | Endpoint_IsReadWriteAllowed (uint8_t corenum) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE
| Determines if the currently selected endpoint may be read from (if data is waiting in the endpoint bank and the endpoint is an OUT direction, or if the bank is not yet full if the endpoint is an IN direction). This function will return false if an error has occurred in the endpoint, if the endpoint is an OUT direction and no packet (or an empty packet) has been received, or if the endpoint is an IN direction and the endpoint bank is full.

## Function Documentation

static bool Endpoint_IsReadWriteAllowed | ( | uint8_t | corenum | ) |
| inline static

Determines if the currently selected endpoint may be read from (if data is waiting in the endpoint bank and the endpoint is an OUT direction, or if the bank is not yet full if the endpoint is an IN direction). This function will return false if an error has occurred in the endpoint, if the endpoint is an OUT direction and no packet (or an empty packet) has been received, or if the endpoint is an IN direction and the endpoint bank is full.

Parameters

  corenum | : ID Number of USB Core to be processed.

Returns
  Boolean `true` if the currently selected endpoint may be read from or written to, depending on its direction.

Definition at line 264 of file Endpoint.h.